Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class OperationDefines

    java.lang.Object
      org.deegree.model.filterencoding.OperationDefines

    public class OperationDefines

extends Object

Defines codes and constants for easy coping with the different kinds of OperationsMetadata (both XML-Entities & JavaObjects).

Version:
  06.08.2002
Author:
  Markus Schneider

Field Summary
`static int` | `AND`
`static int` | `BBOX`
`static int` | `BEYOND`
`static int` | `CONTAINS`
`static int` | `CROSSES`
`static int` | `DISJOINT`
`static int` | `DWITHIN`
`static int` | `EQUALS`
`static int` | `INTERSECTS`
`static int` | `NOT`
`static int` | `OR`
`static int` | `OVERLAPS`
`static int` | `PROPERTYISBETWEEN`
`static int` | `PROPERTYISEQUALTO`
`static int` | `PROPERTYISGREATERTHAN`
`static int` | `PROPERTYISGREATERTHANOREQUALTO`
`static int` | `PROPERTYISINSTANCEOF`
`static int` | `PROPERTYISLESSTHAN`
`static int` | `PROPERTYISLESSTHANOREQUALTO`
`static int` | `PROPERTYISLIKE`
`static int` | `PROPERTYISNOTEQUALTO`
`static int` | `PROPERTYISNULL`
`static int` | `TOUCHES`
`static int` | `TYPE_COMPARISON`
`static int` | `TYPE_LOGICAL`
`static int` | `TYPE_SPATIAL`
`static int` | `TYPE_UNKNOWN`
`static int` | `UNKNOWN`
`static int` | `WITHIN`

Constructor Summary
`OperationDefines()`

Method Summary
`static int` | `getIdByName(String name)` Returns the id of an operation for a given name.
`static String` | `getNameById(int id)` Returns the name of an operation for a given id.
`static int` | `getTypeById(int id)` Returns the type of an operation for a given id.
`static int` | `getTypeByName(String name)` Returns the type of an operation for a given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_SPATIAL

    public static final int TYPE_SPATIAL

See Also:
  Constant Field Values

### TYPE_COMPARISON

    public static final int TYPE_COMPARISON

See Also:
  Constant Field Values

### TYPE_LOGICAL

    public static final int TYPE_LOGICAL

See Also:
  Constant Field Values

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### EQUALS

    public static final int EQUALS

See Also:
  Constant Field Values

### DISJOINT

    public static final int DISJOINT

See Also:
  Constant Field Values

### INTERSECTS

    public static final int INTERSECTS

See Also:
  Constant Field Values

### TOUCHES

    public static final int TOUCHES

See Also:
  Constant Field Values

### CROSSES

    public static final int CROSSES

See Also:
  Constant Field Values

### WITHIN

    public static final int WITHIN

See Also:
  Constant Field Values

### CONTAINS

    public static final int CONTAINS

See Also:
  Constant Field Values

### OVERLAPS

    public static final int OVERLAPS

See Also:
  Constant Field Values

### BEYOND

    public static final int BEYOND

See Also:
  Constant Field Values

### BBOX

    public static final int BBOX

See Also:
  Constant Field Values

### DWITHIN

    public static final int DWITHIN

See Also:
  Constant Field Values

### PROPERTYISEQUALTO

    public static final int PROPERTYISEQUALTO

See Also:
  Constant Field Values

### PROPERTYISNOTEQUALTO

    public static final int PROPERTYISNOTEQUALTO

See Also:
  Constant Field Values

### PROPERTYISLESSTHAN

    public static final int PROPERTYISLESSTHAN

See Also:
  Constant Field Values

### PROPERTYISGREATERTHAN

    public static final int PROPERTYISGREATERTHAN

See Also:
  Constant Field Values

### PROPERTYISLESSTHANOREQUALTO

    public static final int PROPERTYISLESSTHANOREQUALTO

See Also:
  Constant Field Values

### PROPERTYISGREATERTHANOREQUALTO

    public static final int PROPERTYISGREATERTHANOREQUALTO

See Also:
  Constant Field Values

### PROPERTYISLIKE

    public static final int PROPERTYISLIKE

See Also:
  Constant Field Values

### PROPERTYISNULL

    public static final int PROPERTYISNULL

See Also:
  Constant Field Values

### PROPERTYISBETWEEN

    public static final int PROPERTYISBETWEEN

See Also:
  Constant Field Values

### PROPERTYISINSTANCEOF

    public static final int PROPERTYISINSTANCEOF

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### OperationDefines

    public OperationDefines()

Method Detail

### getTypeByName

    public static int getTypeByName(String name)

  Returns the type of an operation for a given name.

  Parameters:
    `name` -
  Returns:
    TYPE_SPATIAL / TYPE_COMPARISON / TYPE_LOGICAL / TYPE_UNKNOWN

### getIdByName

    public static int getIdByName(String name)

  Returns the id of an operation for a given name.

  Parameters:
    `name` -
  Returns:
    BBOX / PROPERTYISEQUAL / AND / ...

### getTypeById

    public static int getTypeById(int id)

  Returns the type of an operation for a given id.

  Parameters:
    `id` -
  Returns:
    TYPE_SPATIAL / TYPE_COMPARISON / TYPE_LOGICAL / TYPE_UNKNOWN

### getNameById

    public static String getNameById(int id)

  Returns the name of an operation for a given id.

  Parameters:
    `id` -
  Returns:
    null / Name of operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org